最新消息:BlueHost - 10年+老牌美国虚拟主机商,适合外贸、个人建站业务。

BlueHost美国虚拟主机安装Moodle教程

教程 yifang 69浏览

Moodle (Modular Object-Oriented Dynamic Learning Environment) 是一个免费开源的电子学习平台软件。Moodle主要专注给于教育工作者一个促进学习的线上工具和平台。截至2013年6月,Moodle已有 83,008正式注册网站,用户群达7千万人并总共提供了高达7百50万个网上课程。

Moodle主要是在Linux上开发并使用Apache、MySQL和PHP(也称为LAMP平台)。Moodle2.6版本的主机环境要求是:

1. Web服务器 – 主要是Apache的。其他没有完全测试但应该可以支持的Web服务器包括IIS,lightttpd,nginx,zeus和Litespeed。
2. PHP的 – 至少5.3.3版本
3. 数据库 – 主要支持的数据库有MySQL(至少5.1.33版本)和PostgreSQL(至少8.3版本)

根据以上的Moodle主机环境要求,BlueHost主机提供的就是LAMP平台,所以是可以支持Moodle的。而且在BlueHost主机的网站控制面板后台可“一键安装”Moodle,这里和大家说说如何在BlueHost主机上一键安装Moodle的详细教程。首先登录BlueHost主机的cPanel后台在“Website Builders”板块下点击“Simple Scripts”:

接着在“Education”底下找出并点击“Moodle”选项(2.5.3版本):

如要新安装Moodle可点击“Start”。如果要从一个原有的Moodle导入则点击“Import”,如下图所示:

接着下拉选择在BlueHost主机空间上要安装Moodle的网站域名。然后可选择安装Moodle在该网站的主目录或子目录(以下子目录的例子是demo。如果要安装Moodle在主目录那么这里留空),接着点击“Check Domain”:

由于Moodle 2.5.3对PHP最低的PHP版本要求是5.3.3. 如果你的BlueHost主机服务器的PHP版本低于5.3.3(如我们的情况,主机服务器的PHP版本是5.2.17),那么就会出现以下的错误提示无法完成安装:

发生这种情况的话,你可联系BlueHost技术客服,说明安装Moodle时出现版本不支持问题,那么BlueHost技术客服会把你的网站迁移到一个可以支持Moodle主机环境要求的BlueHost主机服务器,你再重新按照以上步骤完成安装Moodle既可。

转载请注明:BlueHost虚拟主机评测 » BlueHost美国虚拟主机安装Moodle教程